Package org.apache.batchee.jaxb

## Class Step

- java.lang.Object
- - org.apache.batchee.jaxb.Step

- All Implemented Interfaces:
    `ExecutionElement`

      public class Step
      extends Object
      implements ExecutionElement

  Java class for Step complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="Step">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="properties" type="{http://xmlns.jcp.org/xml/ns/javaee}Properties" minOccurs="0"/>
               <element name="listeners" type="{http://xmlns.jcp.org/xml/ns/javaee}Listeners" minOccurs="0"/>
               <choice minOccurs="0">
                 <element name="batchlet" type="{http://xmlns.jcp.org/xml/ns/javaee}Batchlet"/>
                 <element name="chunk" type="{http://xmlns.jcp.org/xml/ns/javaee}Chunk"/>
               </choice>
               <element name="partition" type="{http://xmlns.jcp.org/xml/ns/javaee}Partition" minOccurs="0"/>
               <group ref="{http://xmlns.jcp.org/xml/ns/javaee}TransitionElements" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}ID" />
             <attribute name="start-limit" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="allow-start-if-complete" type="{http://www.w3.org/2001/XMLSchema}string" />
             <attribute name="next" type="{http://www.w3.org/2001/XMLSchema}string" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `allowStartIfComplete` |
    `protected Batchlet` | `batchlet` |
    `protected Chunk` | `chunk` |
    `protected String` | `id` |
    `protected Listeners` | `listeners` |
    `protected String` | `nextFromAttribute` |
    `protected Partition` | `partition` |
    `protected JSLProperties` | `properties` |
    `protected String` | `startLimit` |
    `protected List<TransitionElement>` | `transitionElements` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Step()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getAllowStartIfComplete()` | Gets the value of the allowStartIfComplete property.
    `Batchlet` | `getBatchlet()` | Gets the value of the batchlet property.
    `Chunk` | `getChunk()` | Gets the value of the chunk property.
    `String` | `getId()` | Gets the value of the id property.
    `Listeners` | `getListeners()` | Gets the value of the listeners property.
    `String` | `getNextFromAttribute()` | Gets the value of the nextFromAttribute property.
    `Partition` | `getPartition()` | Gets the value of the partition property.
    `JSLProperties` | `getProperties()` | Gets the value of the properties property.
    `String` | `getStartLimit()` | Gets the value of the startLimit property.
    `List<TransitionElement>` | `getTransitionElements()` | Gets the value of the transitionElements property.
    `void` | `setAllowStartIfComplete​(String value)` | Sets the value of the allowStartIfComplete property.
    `void` | `setBatchlet​(Batchlet value)` | Sets the value of the batchlet property.
    `void` | `setChunk​(Chunk value)` | Sets the value of the chunk property.
    `void` | `setId​(String value)` | Sets the value of the id property.
    `void` | `setListeners​(Listeners value)` | Sets the value of the listeners property.
    `void` | `setNextFromAttribute​(String value)` | Sets the value of the nextFromAttribute property.
    `void` | `setPartition​(Partition value)` | Sets the value of the partition property.
    `void` | `setProperties​(JSLProperties value)` | Sets the value of the properties property.
    `void` | `setStartLimit​(String value)` | Sets the value of the startLimit property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### properties

          protected JSLProperties properties

    - #### listeners

          protected Listeners listeners

    - #### batchlet

          protected Batchlet batchlet

    - #### chunk

          protected Chunk chunk

    - #### partition

          protected Partition partition

    - #### transitionElements

          protected List<TransitionElement> transitionElements

    - #### id

          protected String id

    - #### startLimit

          protected String startLimit

    - #### allowStartIfComplete

          protected String allowStartIfComplete

    - #### nextFromAttribute

          protected String nextFromAttribute

  - ### Constructor Detail

    - #### Step

          public Step()

  - ### Method Detail

    - #### getProperties

          public JSLProperties getProperties()

      Gets the value of the properties property.
      Returns:
        possible object is `JSLProperties`

    - #### setProperties

          public void setProperties​(JSLProperties value)

      Sets the value of the properties property.
      Parameters:
        `value` - allowed object is `JSLProperties`

    - #### getListeners

          public Listeners getListeners()

      Gets the value of the listeners property.
      Returns:
        possible object is `Listeners`

    - #### setListeners

          public void setListeners​(Listeners value)

      Sets the value of the listeners property.
      Parameters:
        `value` - allowed object is `Listeners`

    - #### getBatchlet

          public Batchlet getBatchlet()

      Gets the value of the batchlet property.
      Returns:
        possible object is `Batchlet`

    - #### setBatchlet

          public void setBatchlet​(Batchlet value)

      Sets the value of the batchlet property.
      Parameters:
        `value` - allowed object is `Batchlet`

    - #### getChunk

          public Chunk getChunk()

      Gets the value of the chunk property.
      Returns:
        possible object is `Chunk`

    - #### setChunk

          public void setChunk​(Chunk value)

      Sets the value of the chunk property.
      Parameters:
        `value` - allowed object is `Chunk`

    - #### getPartition

          public Partition getPartition()

      Gets the value of the partition property.
      Returns:
        possible object is `Partition`

    - #### setPartition

          public void setPartition​(Partition value)

      Sets the value of the partition property.
      Parameters:
        `value` - allowed object is `Partition`

    - #### getTransitionElements

          public List<TransitionElement> getTransitionElements()

      Gets the value of the transitionElements property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the transitionElements property.

      For example, to add a new item, do as follows:

              getTransitionElements().add(newItem);

      Objects of the following type(s) are allowed in the list `Next` `Fail` `Stop` `End`

      Specified by:
        `getTransitionElements` in interface `ExecutionElement`

    - #### getId

          public String getId()

      Gets the value of the id property.
      Specified by:
        `getId` in interface `ExecutionElement`
      Returns:
        possible object is `String`

    - #### setId

          public void setId​(String value)

      Sets the value of the id property.
      Parameters:
        `value` - allowed object is `String`

    - #### getStartLimit

          public String getStartLimit()

      Gets the value of the startLimit property.
      Returns:
        possible object is `String`

    - #### setStartLimit

          public void setStartLimit​(String value)

      Sets the value of the startLimit property.
      Parameters:
        `value` - allowed object is `String`

    - #### getAllowStartIfComplete

          public String getAllowStartIfComplete()

      Gets the value of the allowStartIfComplete property.
      Returns:
        possible object is `String`

    - #### setAllowStartIfComplete

          public void setAllowStartIfComplete​(String value)

      Sets the value of the allowStartIfComplete property.
      Parameters:
        `value` - allowed object is `String`

    - #### getNextFromAttribute

          public String getNextFromAttribute()

      Gets the value of the nextFromAttribute property.
      Returns:
        possible object is `String`

    - #### setNextFromAttribute

          public void setNextFromAttribute​(String value)

      Sets the value of the nextFromAttribute property.
      Parameters:
        `value` - allowed object is `String`